OroCRM\Bundle\SalesBundle\Entity\Opportunity:
    properties:
        name:
            - NotBlank: ~
            - Length:
                max: 255
        probability:
            - Range:
                min: 0
                max: 100
        budgetAmount:
            - Range:
                min: 0
        closeRevenue:
            - Range:
                min: 0
        account:
            - Valid: ~
            - NotBlank: ~
        dataChannel:
            - NotBlank: ~
        organization:
            - NotBlank: ~

OroCRM\Bundle\SalesBundle\Entity\Lead:
    properties:
        name:
            - NotBlank: ~
            - Length:
                max: 255
        firstName:
            - NotBlank: ~
            - Length:
                max: 255
        lastName:
            - NotBlank: ~
            - Length:
                max: 255
        dataChannel:
            - NotBlank: ~
        email:
            - Email: ~
        organization:
            - NotBlank: ~

OroCRM\Bundle\SalesBundle\Entity\SalesFunnel:
    properties:
        startDate:
            - NotBlank: ~
            - Date: ~
        dataChannel:
            - NotBlank: ~
        organization:
            - NotBlank: ~

OroCRM\Bundle\SalesBundle\Entity\B2bCustomer:
    properties:
        name:
            - NotBlank: ~
            - Length:
                max: 255
        account:
            - NotBlank: ~
        dataChannel:
            - NotBlank: ~
        organization:
            - NotBlank: ~

